%define _desktopdir /usr/share/applications
%define _qt3dir %_libdir/qt3

Name: linscope
Version: 0.3.2
Release: alt0.M30.1

Summary: Network scanner for network shares (SMB)
License: GPL
Group: Networking/Other
Url: http://sourceforge.net/projects/%name/
Source: http://dl.sf.net/linscope/%name-%version.tar.gz
Patch0: linscope-0.3.2-alt-translation.patch

Packager: Vladimir V Kamarzin <vvk@altlinux.ru>

# Automatically added by buildreq on Tue Feb 21 2006
BuildRequires: fontconfig freetype2 gcc-c++ kdelibs-devel
BuildRequires: libqt3-devel libqt3-settings libstdc++-devel
BuildRequires: qt3-designer
#libX11-devel libXext-devel

%description
LinScope is GUI, port scanner with enumerating windows network shares (SMB).
LinScope can save favorites list. You can add different ip address ranges
and scan them apart or together. Linscope searches FTP and HTTP services too.
It works in large networks and internet, where broadcast traffic is disabled
(uses direct ip address and rpcclient from samba). User could manually assign
command s for opening shares, apart for ftp,http and smb.

%prep
%setup -q -n Linscope
%patch0 -p1

%__cat <<EOF >%name.desktop
[Desktop Entry]
Name=linscope
Comment=Find network shares
Exec=linscope
Terminal=false
Type=Application
StartupNotify=true
Categories=Application;Internet;Network;
Encoding=UTF-8
EOF

%build
cd linscope
PATH=$PATH:%_qt3dir/bin
qmake
%make

%install
install -D %name/lrpcscanip %buildroot%_bindir/lrpcscanip
install %name/%name %buildroot%_bindir/%name
install -pD -m0644 %name.desktop %buildroot%_desktopdir/%name.desktop
install -d %buildroot%_datadir/%name
install -pD -m0644 %name/linscope_*.qm %buildroot%_datadir/%name

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_desktopdir/%name.desktop
%_datadir/%name/*
%dir %_datadir/%name
%doc CHANGES.TXT README.TXT TODO.TXT

%changelog
* Sun Mar 12 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 0.3.2-alt0.M30.1
- Backported to Compact 3.0

* Tue Feb 21 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 0.3.2-alt1
- Initial build for Sisyphus (adopted spec from Dries Verachtert
  <dries@ulyssis.org>)
- Added linscope-0.3.2-alt-translation.patch for correct path to .qm-files
